#ifndef _EDITWATER_H
#define _EDITWATER_H

#include <QDialog>


namespace Ui {
class EditWater;
}

class EditWater : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditWater(int id, QWidget *parent = 0);
    ~EditWater();

private slots:
    void on_saveButton_clicked();
    void on_cloneButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void water_changed();
    void calcium_changed(double val);
    void total_alkalinity_changed(double val);
    void sulfate_changed(double val);
    void chloride_changed(double val);
    void sodium_changed(double val);
    void magnesium_changed(double val);
    void ph_changed(double val);
    void nitrate_changed(double val);

private:
    Ui::EditWater *ui;
    int recno;
    bool textIsChanged = false;
    double calcium, bicarbonate, sulfate, chloride, sodium, magnesium, ph, total_alkalinity, nitrate;

    void WindowTitle();
    void WaterSet();
};

#endif
